package com.bxzk.afxj.Entity;

public class BaseResponse<T> {

    T result;
    int code = -1;
    int RecordCount;
    int Count;
    int PageCount;
    int PageIndex;
    int PageSize;
    String Msg;
    String msg;

    public int getReturnCode() {
        return code;
    }

    public String getMessage() {
        return msg;
    }


    public T getData() {
        return  result;


    }

    public boolean isSuccess() {
        return code == 200;
    }


    @Override
    public String toString() {
        return this.msg + ",code:"+ code +",data:"+ result;

    }
}
